Summary: X11 Bibliography database tool
Name: bibview
Version: 2.2
Release: alt1.1
License: BSD
Group: Publishing
Packager: Igor Vlasenko <viy@altlinux.ru>
#Url: http://packages.debian.org/stable/tex/bibview
Url: http://www.ctan.org/tex-archive/biblio/bibtex/utils/bibview-2.0

Source0: http://ftp.debian.org/debian/pool/main/b/bibview/bibview_2.2.orig.tar.gz
Patch0: http://ftp.debian.org/debian/pool/main/b/bibview/bibview_2.2-8.diff.gz
Patch1: bibview-2.2-font-alt.patch

# Automatically added by buildreq on Fri Apr 04 2008 (-bi)
BuildRequires: imake libXaw-devel xorg-cf-files libICE-devel libSM-devel libX11-devel libXext-devel libXmu-devel libXt-devel xorg-x11-proto-devel

%description
bibview is a tool to let you set up and maintain BibTeX bibliography
 databases.  LaTeX can then use these automatically in citations and
 bibliographies in your documents.
 .
 From its README:
 .
    It [bibview] supports the user in making new entries,
    searching for entries and moving entries from one BiB to another.
    It is possible to work with more than one BiB simultaneously. 
    bibview is implemented with Xt and Athena Widgets.
    There are several types of windows in bibview:
    The main window contains menus for customizing bibview and
    for working with BiBs on the file level.
    The bibliography window (one for every open BiB) contains commands
    for manipulating the BiB.
    The list window (at most one for every open BiB) shows a list of
    entries. It displays the fields author, title, type and year.
    The card window (at most one for every entry) helps editing an entry. 
    It contains boxes for each field of the entry (according to the type).
    The fields can be edited by putting the mouse cursor into the field.
    Macros in fields and the symbol for concatenation ('#') are marked
    with a preceding '@'.

%prep
%setup -n %{name}-%{version}.orig
%patch0 -p1
%patch1 -p1

%build

	# Add here commands to compile the package.
	xmkmf

	# Compensate for broken Makefile
	mv Makefile Makefile.broke
	sed 's/-traditional/ /' < Makefile.broke > Makefile
	make 


%install
%make_install install BINDIR=%_bindir DESTDIR=$RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT%_man1dir
cp bibview.man $RPM_BUILD_ROOT%_man1dir/%{name}.1

%__mkdir_p $RPM_BUILD_ROOT%_menudir
cat > $RPM_BUILD_ROOT%_menudir/%{name} <<EOF
?package(%{name}): command="%{name}" section="Applications/Publishing" \
title="%{name}" longtitle="Bibtex Viewer" \
needs="x11"
EOF
#  icon="%name.png"

%post
%update_menus

%postun
%clean_menus

%files
%doc CHANGES README
%config /etc/X11/app-defaults/BibView
%config /etc/X11/app-defaults/BibView-color
%_bindir/*
%_man1dir/*
%_menudir/%{name}

%changelog
* Fri Apr 04 2008 Igor Vlasenko <viy@altlinux.ru> 2.2-alt1.1
- refreshed buildreq

* Sun Nov 13 2005 Igor Vlasenko <viy@altlinux.ru> 2.2-alt1
- first build for ALT Linux Sisyphus

